Bug 877891 - [abrt] yagf-0.9.1-3.fc17: CCBuilder::labelCCs: Process /usr/bin/yagf was killed by signal 8 (SIGFPE)
Summary: [abrt] yagf-0.9.1-3.fc17: CCBuilder::labelCCs: Process /usr/bin/yagf was kill...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yagf
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dmitrij S. Kryzhevich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1c0985ad017374cfb08bbc35937...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-19 07:31 UTC by Bernard
Modified: 2013-02-24 08:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-24 08:28:05 UTC


Attachments (Terms of Use)
File: core_backtrace (4.10 KB, text/plain)
2012-11-19 07:31 UTC, Bernard
no flags Details
File: environ (1.10 KB, text/plain)
2012-11-19 07:31 UTC, Bernard
no flags Details
File: backtrace (66.24 KB, text/plain)
2012-11-19 07:31 UTC, Bernard
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-19 07:31 UTC, Bernard
no flags Details
File: cgroup (130 bytes, text/plain)
2012-11-19 07:31 UTC, Bernard
no flags Details
File: maps (25.54 KB, text/plain)
2012-11-19 07:32 UTC, Bernard
no flags Details
File: dso_list (5.06 KB, text/plain)
2012-11-19 07:32 UTC, Bernard
no flags Details
File: var_log_messages (282 bytes, text/plain)
2012-11-19 07:32 UTC, Bernard
no flags Details
File: open_fds (314 bytes, text/plain)
2012-11-19 07:32 UTC, Bernard
no flags Details

Description Bernard 2012-11-19 07:31:38 UTC
Description of problem:
j'étais en train importer un document pdf et comme j'ai annulé ça a planté

Version-Release number of selected component:
yagf-0.9.1-3.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        yagf
crash_function: CCBuilder::labelCCs
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 CCBuilder::labelCCs at /usr/src/debug/yagf/src/ccbuilder.cpp
: #1 BlockSplitter::blockAllText at /usr/src/debug/yagf/src/PageAnalysis.cpp
: #2 BlockSplitter::getRootBlock at /usr/src/debug/yagf/src/PageAnalysis.cpp
: #3 BlockSplitter::splitBlocks at /usr/src/debug/yagf/src/PageAnalysis.cpp
: #4 QGraphicsInput::splitPage at /usr/src/debug/yagf/src/qgraphicsinput.cpp
: #5 MainForm::qt_static_metacall at /usr/src/debug/yagf/src/moc_mainform.cxx
: #6 QMetaObject::activate at kernel/qobject.cpp
: #7 QAction::triggered at .moc/release-shared/moc_qaction.cpp
: #8 QAction::activate at kernel/qaction.cpp
: #9 QAbstractButtonPrivate::click at widgets/qabstractbutton.cpp

Comment 1 Bernard 2012-11-19 07:31:44 UTC
Created attachment 647562 [details]
File: core_backtrace

Comment 2 Bernard 2012-11-19 07:31:47 UTC
Created attachment 647563 [details]
File: environ

Comment 3 Bernard 2012-11-19 07:31:51 UTC
Created attachment 647564 [details]
File: backtrace

Comment 4 Bernard 2012-11-19 07:31:53 UTC
Created attachment 647565 [details]
File: limits

Comment 5 Bernard 2012-11-19 07:31:56 UTC
Created attachment 647566 [details]
File: cgroup

Comment 6 Bernard 2012-11-19 07:32:00 UTC
Created attachment 647567 [details]
File: maps

Comment 7 Bernard 2012-11-19 07:32:02 UTC
Created attachment 647568 [details]
File: dso_list

Comment 8 Bernard 2012-11-19 07:32:08 UTC
Created attachment 647569 [details]
File: var_log_messages

Comment 9 Bernard 2012-11-19 07:32:11 UTC
Created attachment 647570 [details]
File: open_fds

Comment 10 Dmitrij S. Kryzhevich 2012-11-20 07:56:49 UTC
Please, use English.

Comment 11 Fedora Update System 2013-02-13 08:02:25 UTC
yagf-0.9.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yagf-0.9.2-1.fc18

Comment 12 Fedora Update System 2013-02-14 02:23:47 UTC
Package yagf-0.9.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yagf-0.9.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2413/yagf-0.9.2-1.fc18
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2013-02-24 08:28:06 UTC
yagf-0.9.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.